insert into node_type
	(node_type_name, mixin, orderable_child_nodes, primary_item_name)
	values('{http://www.jcp.org/jcr/nt/1.0}base', 0, 0, null);

insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/nt/1.0}base', 0,
	'{http://www.jcp.org/jcr/1.0}primaryType', 'Name',
	1, 1,
	'COMPUTE',
	1, 0);

insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/nt/1.0}base', 1,
	'{http://www.jcp.org/jcr/1.0}mixinTypes', 'Name',
	0, 0,
	'COMPUTE',
	1, 1);

insert into node_type
	(node_type_name, mixin, orderable_child_nodes, primary_item_name)
	values('{http://www.jcp.org/jcr/nt/1.0}unstructured', 0, 1, null);

insert into supertype
	(node_type_name, supertype_name)
	values('{http://www.jcp.org/jcr/nt/1.0}unstructured', '{http://www.jcp.org/jcr/nt/1.0}base')

insert into node_def
	(node_type_name, node_def_number,
	node_def_name, default_primary_type,
	auto_created, mandatory, 
	on_parent_version,
	protected, same_name_sibs)
	values('{http://www.jcp.org/jcr/nt/1.0}unstructured', 0,
	'*', '{http://www.jcp.org/jcr/nt/1.0}unstructured',
	0, 0,
	'VERSION',
	0, 1);

insert into required_primary_type
	(node_type_name, node_def_number, required_primary_type)
	values('{http://www.jcp.org/jcr/nt/1.0}unstructured', 0,
	'{http://www.jcp.org/jcr/nt/1.0}base');

insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/nt/1.0}unstructured', 0, 
	'*', 'undefined',
	0, 0,
	'COPY',
	0, 1);

insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/nt/1.0}unstructured', 1,
	'*', 'undefined',
	0, 0, 
	'COPY',
	0, 0);

insert into node_type
	(node_type_name, mixin, orderable_child_nodes, primary_item_name)
	values('{http://www.jcp.org/jcr/nt/1.0}hierarchyNode', 0, 0, null);
	
insert into supertype
	(node_type_name, supertype_name)
	values('{http://www.jcp.org/jcr/nt/1.0}hierarchyNode', '{http://www.jcp.org/jcr/nt/1.0}base')
	
insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/nt/1.0}hierarchyNode', 0,
	'{http://www.jcp.org/jcr/1.0}created', 'Date',
	1, 1,
	'INITIALIZE',
	1, 0);
	
insert into node_type
	(node_type_name, mixin, orderable_child_nodes, primary_item_name)
	values('{http://www.jcp.org/jcr/nt/1.0}file', 0, 0, '{http://www.jcp.org/jcr/1.0}content');

insert into supertype
	(node_type_name, supertype_name)
	values('{http://www.jcp.org/jcr/nt/1.0}file', '{http://www.jcp.org/jcr/nt/1.0}hierarchyNode');
	
insert into node_def
	(node_type_name, node_def_number,
	node_def_name, default_primary_type,
	auto_created, mandatory, 
	on_parent_version,
	protected, same_name_sibs)
	values('{http://www.jcp.org/jcr/nt/1.0}file', 0,
	'{http://www.jcp.org/jcr/1.0}content', null,
	0, 1,
	'COPY',
	0, 0);
	
insert into required_primary_type
	(node_type_name, node_def_number, required_primary_type)
	values('{http://www.jcp.org/jcr/nt/1.0}file', 0,
	'{http://www.jcp.org/jcr/nt/1.0}base');
	
insert into node_type
	(node_type_name, mixin, orderable_child_nodes, primary_item_name)
	values('{http://www.jcp.org/jcr/mix/1.0}lockable', 1, 0, null);
	
insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/mix/1.0}lockable', 0,
	'{http://www.jcp.org/jcr/1.0}lockOwner', 'String',
	0, 0,
	'IGNORE',
	1, 0);
	
insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/mix/1.0}lockable', 1,
	'{http://www.jcp.org/jcr/1.0}lockIsDeep', 'Boolean',
	0, 0,
	'IGNORE',
	1, 0);
	
insert into node_type
	(node_type_name, mixin, orderable_child_nodes, primary_item_name)
	values('{http://www.jcp.org/jcr/mix/1.0}referenceable', 1, 0, null);
	
insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/mix/1.0}referenceable', 0,
	'{http://www.jcp.org/jcr/1.0}uuid', 'String',
	1, 1,
	'INITIALIZE',
	1, 0);
	
insert into node_type
	(node_type_name, mixin, orderable_child_nodes, primary_item_name)
	values('{http://www.jcp.org/jcr/mix/1.0}versionable', 1, 0, null);
	
insert into supertype
	(node_type_name, supertype_name)
	values('{http://www.jcp.org/jcr/mix/1.0}versionable', '{http://www.jcp.org/jcr/mix/1.0}referenceable');
	
insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/mix/1.0}versionable', 0,
	'{http://www.jcp.org/jcr/1.0}versionHistory', 'Reference',
	0, 1,
	'COPY',
	1, 0);
	
insert into value_constraint
	(node_type_name, property_def_number, constraint_index,	value_constraint)
	values ('{http://www.jcp.org/jcr/mix/1.0}versionable', 0, 0, 'nt:versionHistory');

insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/mix/1.0}versionable', 1,
	'{http://www.jcp.org/jcr/1.0}baseVersion', 'Reference',
	0, 1,
	'IGNORE',
	1, 0);

insert into value_constraint
	(node_type_name, property_def_number, constraint_index,	value_constraint)
	values ('{http://www.jcp.org/jcr/mix/1.0}versionable', 1, 0, 'nt:version');	


insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/mix/1.0}versionable', 2,
	'{http://www.jcp.org/jcr/1.0}isCheckedOut', 'Boolean',
	1, 1,
	'IGNORE',
	1, 0);
	
insert into default_value
	(node_type_name, property_def_number, value_index, boolean_value)
	values ('{http://www.jcp.org/jcr/mix/1.0}versionable', 2, 0, 1);

insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/mix/1.0}versionable', 3,
	'{http://www.jcp.org/jcr/1.0}predecessors', 'Reference',
	0, 1,
	'COPY',
	1, 1);
	
insert into value_constraint
	(node_type_name, property_def_number, constraint_index,	value_constraint)
	values ('{http://www.jcp.org/jcr/mix/1.0}versionable', 3, 0, 'nt:version');	

insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/mix/1.0}versionable', 4,
	'{http://www.jcp.org/jcr/1.0}mergeFailed', 'Reference',
	0, 0,
	'ABORT',
	1, 1);
	
insert into node_type
	(node_type_name, mixin, orderable_child_nodes, primary_item_name)
	values('{http://www.jcp.org/jcr/nt/1.0}resource', 0, 0, '{http://www.jcp.org/jcr/1.0}data');
	
insert into supertype
	(node_type_name, supertype_name)
	values('{http://www.jcp.org/jcr/nt/1.0}resource', '{http://www.jcp.org/jcr/nt/1.0}base');
	
insert into supertype
	(node_type_name, supertype_name)
	values('{http://www.jcp.org/jcr/nt/1.0}resource', '{http://www.jcp.org/jcr/mix/1.0}referenceable');
	
insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/nt/1.0}resource', 0,
	'{http://www.jcp.org/jcr/1.0}encoding', 'String',
	0, 0,
	'COPY',
	0, 0);
	
insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/nt/1.0}resource', 1,
	'{http://www.jcp.org/jcr/1.0}mimeType', 'String',
	0, 1,
	'COPY',
	0, 0);
	
insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/nt/1.0}resource', 2,
	'{http://www.jcp.org/jcr/1.0}data', 'Binary',
	0, 1,
	'COPY',
	0, 0);
	
insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/nt/1.0}resource', 3,
	'{http://www.jcp.org/jcr/1.0}lastModified', 'Date',
	0, 1,
	'IGNORE',
	0, 0);
	
insert into node_type
	(node_type_name, mixin, orderable_child_nodes, primary_item_name)
	values('{http://www.jcp.org/jcr/nt/1.0}query', 0, 0, null);
	
insert into supertype
	(node_type_name, supertype_name)
	values('{http://www.jcp.org/jcr/nt/1.0}query', '{http://www.jcp.org/jcr/nt/1.0}base')

insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/nt/1.0}query', 0,
	'{http://www.jcp.org/jcr/1.0}statement', 'String',
	0, 0,
	'COPY',
	0, 0);
	
insert into property_def
	(node_type_name, property_def_number, 
	property_def_name, required_type,
	auto_created, mandatory,
	on_parent_version,
	protected, multiple)
	values('{http://www.jcp.org/jcr/nt/1.0}query', 1,
	'{http://www.jcp.org/jcr/1.0}language', 'String',
	0, 0,
	'COPY',
	0, 0);	